The Class ProfiledDocuments.
List.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path | the profile ID |
| media type | data type | description |
|---|---|---|
| application/json | Iterable (JSON) | the iterable |
GET /srv/projects/{usecase_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{ }
Creates the new.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path | the profile ID |
| media type | data type | description |
|---|---|---|
| application/json | map of object (JSON) | the d |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) | the project |
POST /srv/projects/{usecase_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
{
"_profileVersion" : {
"stable" : true,
"type" : "IVY",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_info" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_operation" : "...",
"_id" : "..."
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_id" : "...",
"_version" : {
"stable" : true,
"type" : "STRICT",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_lifecycleInformation" : {
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR",
"warningMessages" : [ "...", "..." ]
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR",
"warningMessages" : [ "...", "..." ]
} ],
"_lastOperationStatus" : "OK",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_info" : {
"_access" : {
"_policy" : "OPEN",
"_license" : "..."
},
"_lastEditInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_creationInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
}
}
}
Gets the configuration.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path | the profile ID |
| media type | data type | description |
|---|---|---|
| application/json | Configuration (JSON) | the configuration |
GET /srv/projects/{usecase_id}/configuration
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"indexes" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"status" : "ERROR",
"archives" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"last_updated_time" : "...",
"context" : "...",
"warningMessages" : [ "...", "..." ],
"profile_id" : "...",
"errorMessages" : [ "...", "..." ]
}
Query.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path | the profile ID |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) | the query string |
| media type | data type | description |
|---|---|---|
| application/json | Iterable (JSON) | the iterable |
POST /srv/projects/{usecase_id}/query
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
{ }
Search.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| usecase_id | path | the profile ID |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) | the filter |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) | the string |
POST /srv/projects/{usecase_id}/search
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
...
Delete.
| name | type | description | default | constraints |
|---|---|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources | ||
| Content-Type | header | application/json | ||
| project_id | path | the id | ||
| usecase_id | path | the profile ID | ||
| force | query | the force | false | boolean |
| media type | data type | description |
|---|---|---|
| application/json | boolean (JSON) | the boolean |
DELETE /srv/projects/{usecase_id}/{project_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
...
Gets the by id.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | the id |
| usecase_id | path | the profile ID |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) | the by id |
GET /srv/projects/{usecase_id}/{project_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"_profileVersion" : {
"stable" : true,
"type" : "IVY",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_info" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_operation" : "...",
"_id" : "..."
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_id" : "...",
"_version" : {
"stable" : true,
"type" : "LOOSE",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_lifecycleInformation" : {
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "OK",
"warningMessages" : [ "...", "..." ]
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING",
"warningMessages" : [ "...", "..." ]
} ],
"_lastOperationStatus" : "OK",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_info" : {
"_access" : {
"_policy" : "OPEN",
"_license" : "..."
},
"_lastEditInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_creationInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
}
}
}
Patch.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | the document id |
| usecase_id | path | the profile ID |
| media type | data type | description |
|---|---|---|
| application/json | map of object (JSON) | the d |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) | the project |
PATCH /srv/projects/{usecase_id}/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
{
"_profileVersion" : {
"stable" : true,
"type" : "STRICT",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_info" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_operation" : "...",
"_id" : "..."
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_id" : "...",
"_version" : {
"stable" : true,
"type" : "NPM",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_lifecycleInformation" : {
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR",
"warningMessages" : [ "...", "..." ]
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR",
"warningMessages" : [ "...", "..." ]
} ],
"_lastOperationStatus" : "WARNING",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_info" : {
"_access" : {
"_policy" : "EMBARGOED",
"_license" : "..."
},
"_lastEditInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_creationInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
}
}
}
Update.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | the document id |
| usecase_id | path | the profile ID |
| media type | data type | description |
|---|---|---|
| application/json | map of object (JSON) | the d |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) | the project |
PUT /srv/projects/{usecase_id}/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_profileVersion" : {
"stable" : true,
"type" : "LOOSE",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_info" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_operation" : "...",
"_id" : "..."
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_id" : "...",
"_version" : {
"stable" : true,
"type" : "NPM",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_lifecycleInformation" : {
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "OK",
"warningMessages" : [ "...", "..." ]
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR",
"warningMessages" : [ "...", "..." ]
} ],
"_lastOperationStatus" : "WARNING",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_info" : {
"_access" : {
"_policy" : "OPEN",
"_license" : "..."
},
"_lastEditInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_creationInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
}
}
}
Delete file set. the Authorization must be a VRE token
| name | type | description | default | constraints |
|---|---|---|---|---|
| Authorization | header | VRE Bearer token, see https://dev.d4science.org/how-to-access-resources | ||
| Content-Type | header | application/json | ||
| project_id | path | the id | ||
| usecase_id | path | the profile ID | ||
| force | query | the force | false | boolean |
| ignore_errors | query | false | boolean |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) | the path must be passed as text in the body |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) | the project |
POST /srv/projects/{usecase_id}/deleteFiles/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 201 Created
Content-Type: application/json
{
"_profileVersion" : {
"stable" : true,
"type" : "NPM",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_info" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_operation" : "...",
"_id" : "..."
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_id" : "...",
"_version" : {
"stable" : true,
"type" : "NPM",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_lifecycleInformation" : {
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR",
"warningMessages" : [ "...", "..." ]
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "OK",
"warningMessages" : [ "...", "..." ]
} ],
"_lastOperationStatus" : "WARNING",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_info" : {
"_access" : {
"_policy" : "EMBARGOED",
"_license" : "..."
},
"_lastEditInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_creationInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
}
}
}
Force unlock.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | the id |
| usecase_id | path | the profile ID |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) | the project |
PUT /srv/projects/{usecase_id}/forceUnlock/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_profileVersion" : {
"stable" : true,
"type" : "IVY",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_info" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_operation" : "...",
"_id" : "..."
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_id" : "...",
"_version" : {
"stable" : true,
"type" : "NPM",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_lifecycleInformation" : {
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING",
"warningMessages" : [ "...", "..." ]
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING",
"warningMessages" : [ "...", "..." ]
} ],
"_lastOperationStatus" : "OK",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_info" : {
"_access" : {
"_policy" : "OPEN",
"_license" : "..."
},
"_lastEditInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_creationInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
}
}
}
Register file set.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | the id |
| usecase_id | path | the profile ID |
| media type | data type | description |
|---|---|---|
| application/json | RegisterFileSetRequest (JSON) | the request |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) | the project |
POST /srv/projects/{usecase_id}/registerFiles/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
{
"toSetAccess" : {
"_policy" : "EMBARGOED",
"_license" : "..."
},
"streams" : [ {
"id" : "...",
"url" : "...",
"filename" : "..."
}, {
"id" : "...",
"url" : "...",
"filename" : "..."
} ],
"clashOption" : "APPEND",
"attributes" : {
"property1" : { },
"property2" : { }
},
"fieldDefinitionPath" : "...",
"parentPath" : "...",
"fieldName" : "..."
}
HTTP/1.1 201 Created
Content-Type: application/json
{
"_profileVersion" : {
"stable" : true,
"type" : "COCOAPODS",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_info" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_operation" : "...",
"_id" : "..."
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_id" : "...",
"_version" : {
"stable" : true,
"type" : "STRICT",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_lifecycleInformation" : {
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING",
"warningMessages" : [ "...", "..." ]
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "OK",
"warningMessages" : [ "...", "..." ]
} ],
"_lastOperationStatus" : "WARNING",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_info" : {
"_access" : {
"_policy" : "RESTRICTED",
"_license" : "..."
},
"_lastEditInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_creationInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
}
}
}
Sets the access policy.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | the id |
| usecase_id | path | the profile ID |
| media type | data type | description |
|---|---|---|
| application/json | Access (JSON) | the to set |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) | the project |
PUT /srv/projects/{usecase_id}/setAccess/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
{
"_policy" : "RESTRICTED",
"_license" : "..."
}
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_profileVersion" : {
"stable" : true,
"type" : "NPM",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_info" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_operation" : "...",
"_id" : "..."
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_id" : "...",
"_version" : {
"stable" : true,
"type" : "NPM",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_lifecycleInformation" : {
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "OK",
"warningMessages" : [ "...", "..." ]
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING",
"warningMessages" : [ "...", "..." ]
} ],
"_lastOperationStatus" : "ERROR",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_info" : {
"_access" : {
"_policy" : "RESTRICTED",
"_license" : "..."
},
"_lastEditInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_creationInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
}
}
}
Perform step.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | the id |
| usecase_id | path | the profile ID |
| media type | data type | description |
|---|---|---|
| application/json | StepExecutionRequest (JSON) | the request |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) | the project |
POST /srv/projects/{usecase_id}/step/{project_id}
Content-Type: application/json
Accept: application/json
Authorization: ...
{
"options" : {
"property1" : { },
"property2" : { }
},
"stepID" : "..."
}
HTTP/1.1 201 Created
Content-Type: application/json
{
"_profileVersion" : {
"stable" : true,
"type" : "COCOAPODS",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_info" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_operation" : "...",
"_id" : "..."
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_id" : "...",
"_version" : {
"stable" : true,
"type" : "NPM",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_lifecycleInformation" : {
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING",
"warningMessages" : [ "...", "..." ]
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "OK",
"warningMessages" : [ "...", "..." ]
} ],
"_lastOperationStatus" : "OK",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_info" : {
"_access" : {
"_policy" : "RESTRICTED",
"_license" : "..."
},
"_lastEditInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_creationInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
}
}
}
Delete relation.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | the id |
| relationship_id | path | the relationship id |
| usecase_id | path | the profile ID |
| target_id | query | the target id |
| target_ucd | query | the target UCD |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) | the project |
DELETE /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_profileVersion" : {
"stable" : true,
"type" : "LOOSE",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_info" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_operation" : "...",
"_id" : "..."
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_id" : "...",
"_version" : {
"stable" : true,
"type" : "COCOAPODS",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_lifecycleInformation" : {
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING",
"warningMessages" : [ "...", "..." ]
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "WARNING",
"warningMessages" : [ "...", "..." ]
} ],
"_lastOperationStatus" : "OK",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_info" : {
"_access" : {
"_policy" : "OPEN",
"_license" : "..."
},
"_lastEditInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_creationInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
}
}
}
Gets the relationship chain.
| name | type | description | default | constraints |
|---|---|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources | ||
| Content-Type | header | application/json | ||
| project_id | path | the id | ||
| relationship_id | path | the relationship id | ||
| usecase_id | path | the profile ID | ||
| deep | query | the deep | false | boolean |
| media type | data type | description |
|---|---|---|
| application/json | string (JSON) | the relationship chain |
GET /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 200 OK
Content-Type: application/json
...
Sets the relation.
| name | type | description |
|---|---|---|
| Authorization | header | Bearer token, see https://dev.d4science.org/how-to-access-resources |
| Content-Type | header | application/json |
| project_id | path | the id |
| relationship_id | path | the relationship id |
| usecase_id | path | the profile ID |
| target_id | query | the target id |
| target_ucd | query | the target UCD |
| media type | data type | description |
|---|---|---|
| application/json | Project (JSON) | the project |
PUT /srv/projects/{usecase_id}/{relationship}/{project_id}/{relationship_id}
Content-Type: */*
Accept: application/json
Authorization: ...
...
HTTP/1.1 204 No Content
Content-Type: application/json
{
"_profileVersion" : {
"stable" : true,
"type" : "IVY",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_theDocument" : {
"property1" : { },
"property2" : { }
},
"_lock" : {
"_info" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_operation" : "...",
"_id" : "..."
},
"_identificationReferences" : [ {
"property1" : { },
"property2" : { }
}, {
"property1" : { },
"property2" : { }
} ],
"_profileID" : "...",
"_relationships" : [ {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
}, {
"_targetUCD" : "...",
"_targetID" : "...",
"_relationshipName" : "..."
} ],
"_id" : "...",
"_version" : {
"stable" : true,
"type" : "IVY",
"minor" : 12345,
"build" : "...",
"originalValue" : "...",
"value" : "...",
"patch" : 12345,
"suffixTokens" : [ "...", "..." ],
"major" : 12345
},
"_lifecycleInformation" : {
"_lastInvokedStep" : "...",
"_triggeredEvents" : [ {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "OK",
"warningMessages" : [ "...", "..." ]
}, {
"event" : "...",
"errorMessages" : [ "...", "..." ],
"lastOperationStatus" : "ERROR",
"warningMessages" : [ "...", "..." ]
} ],
"_lastOperationStatus" : "ERROR",
"_errorMessages" : [ "...", "..." ],
"_phase" : "...",
"_warningMessages" : [ "...", "..." ],
"_notes" : "..."
},
"_info" : {
"_access" : {
"_policy" : "EMBARGOED",
"_license" : "..."
},
"_lastEditInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
},
"_creationInfo" : {
"_context" : { },
"_instant" : "...",
"_user" : { }
}
}
}